[package]
name = "room"
version.workspace = true
edition.workspace = true
authors.workspace = true
description.workspace = true
repository.workspace = true
readme.workspace = true
homepage.workspace = true
license.workspace = true
keywords.workspace = true
categories.workspace = true
documentation.workspace = true

[lib]
path = "src/lib.rs"
name = "room"

[dependencies]
models = { workspace = true }
db = { workspace = true }
session = { workspace = true }
queue = { workspace = true }
agent = { path = "../agent" }

serde = { workspace = true, features = ["derive"] }
serde_json = { workspace = true }
slog = { workspace = true }
chrono = { workspace = true, features = ["serde"] }
uuid = { workspace = true, features = ["serde", "v7", "v4"] }
sea-orm = { workspace = true }
anyhow = { workspace = true }
thiserror = { workspace = true }
tokio = { workspace = true, features = ["rt", "rt-multi-thread"] }
tokio-stream = { workspace = true }
futures = { workspace = true }
deadpool-redis = { workspace = true, features = ["rt_tokio_1", "cluster-async", "cluster"] }
utoipa = { workspace = true, features = ["uuid", "chrono"] }
metrics = "0.21"
regex-lite = "0.1.6"
redis = { workspace = true, features = ["tokio-comp", "connection-manager"] }
async-openai = { workspace = true }
hostname = "0.4"
dashmap = "7.0.0-rc2"
lru = "0.12.0"

[lints]
workspace = true
